Skip to main content
GET
/
v1
/
flow-runs
/
{id}
cURL
curl --request GET \
  --url https://cloud.nrai.io/api/v1/flow-runs/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://cloud.nrai.io/api/v1/flow-runs/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://cloud.nrai.io/api/v1/flow-runs/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "created": "<string>",
  "updated": "<string>",
  "projectId": "<string>",
  "flowId": "<string>",
  "failParentOnFailure": true,
  "flowVersionId": "<string>",
  "status": "FAILED",
  "startTime": "<string>",
  "environment": "PRODUCTION",
  "parentRunId": "<string>",
  "tags": [
    "<string>"
  ],
  "flowVersion": {
    "displayName": "<string>"
  },
  "logsFileId": "<string>",
  "tasks": 123,
  "duration": 123,
  "finishTime": "<string>",
  "steps": {},
  "failedStepName": "<string>",
  "stepNameToTest": "<string>"
}

Authorizations

Authorization
string
header
required

Use your api key generated from the admin console

Path Parameters

id
string
required
Pattern: ^[0-9a-zA-Z]{21}$

Response

200 - application/json

Default Response

id
string
required
created
string
required
updated
string
required
projectId
string
required
flowId
string
required
failParentOnFailure
boolean
required
flowVersionId
string
required
status
required
Available options:
FAILED
startTime
string
required
environment
required
Available options:
PRODUCTION
parentRunId
string
tags
string[]
flowVersion
object
logsFileId
string | null
tasks
number
duration
number
finishTime
string
steps
object | null
failedStepName
string
stepNameToTest
string